package com.zxbw.modulemain.contract

import com.zxhl.cms.net.model.qy.SkillEntity
import com.zxhl.cms.net.model.qy.SkillGoodsEntity
import com.zxhl.cms.net.model.qy.ToSkillInfoEntity

class FlashSaleContract {
    interface View {
        fun setData(result:List<SkillEntity>?)
        fun setSkillListResult(result: List<SkillGoodsEntity>?)
        fun toskill(boolean: Boolean,result: ToSkillInfoEntity?,code:String?)
        fun setMoreResult(result:List<SkillGoodsEntity>?)
    }

    interface Presenter {
        fun getFlashSaleData()
        fun getSkillGoodsList(durationId:String?)
        fun beginSkill(durationId: String?,id:String?)
        fun getMoreList(durationId: String?)
    }
}